﻿using UnityEngine;
using System.Collections;
using UnityEngine.EventSystems;

public class MagicCircle : MonoBehaviour
{
	Animator anim;
	ParticleSystem[] pss;

	void Start ()
	{
		anim = GetComponentInChildren<Animator> ();

		pss = GetComponentsInChildren<ParticleSystem> ();
		foreach (var item in pss) {
			item.Clear ();
		}
	}


	public void DoMagic ()
	{
		anim.SetTrigger ("DoMagic");

		foreach (var item in pss) {
			item.Clear ();
			item.Play ();
		}
	}

}
